%global namedreltag .Alpha1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-web
Version:          8.0.0
Release:          %mkrel 0.6%{namedreltag}.2
Summary:          JBoss Web
Group:            Development/Java
License:          LGPLv2+ and ASL 2.0 and MIT and (LGPLv2+ or ASL 2.0)
URL:              http://www.jboss.org/jbossweb

# svn export http://anonsvn.jboss.org/repos/jbossweb/tags/JBOSSWEB_8_0_0_ALPHA1/ jboss-web-8.0.0.Alpha1
# rm -rf jboss-web-8.0.0.Alpha1/java/javax
# tar cafJ jboss-web-8.0.0.Alpha1.tar.xz jboss-web-8.0.0.Alpha1
Source0:          jboss-web-%{namedversion}.tar.xz

# Support for the Beta1 Servlet API
Patch0:           servlet-beta1-changes.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    jboss-annotations-1.1-api
BuildRequires:    jboss-el-2.2-api
BuildRequires:    jboss-jsp-2.2-api
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    jboss-servlet-3.1-api
BuildRequires:    ant
BuildRequires:    junit
BuildRequires:    ecj
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-logmanager
BuildRequires:    maven-local
BuildRequires:    maven-injection-plugin
BuildRequires:    glassfish-el
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

%description
JBoss Web Server is an enterprise ready web server based on Tomcat.

%package          javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description      javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-web-%{namedversion}

%patch0 -p1

%pom_remove_dep "org.glassfish:javax.el"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_jnidir}/%{name}
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE


%changelog
* Wed May 17 2017 neoclust <neoclust> 8.0.0-0.6.Alpha1.2.mga6
+ Revision: 1102716
- Fix BuildRequires
- Second rebuild of the java stack

* Mon Feb 29 2016 umeabot <umeabot> 8.0.0-0.6.Alpha1.1.mga6
+ Revision: 981117
- Mageia 6 Mass Rebuild

* Thu Jan 29 2015 daviddavid <daviddavid> 8.0.0-0.2.Alpha1.6.mga5
+ Revision: 812707
- add missing BuildRequires on jboss-servlet-3.0-api

* Thu Jan 01 2015 daviddavid <daviddavid> 8.0.0-0.2.Alpha1.5.mga5
+ Revision: 807898
- Sync with fc21
- fix Group

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 8.0.0-0.2.Alpha1.2.mga4
+ Revision: 541958
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 8.0.0-0.2.Alpha1.1.mga4
+ Revision: 496614
- New version

* Wed Jan 16 2013 dmorgan <dmorgan> 7.0.13-5.mga3
+ Revision: 388591
- Fix build with new ecj
- imported package jboss-web


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 28 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 7.0.13-4
- Fixed licensing issue.
- Cleaned up description and requires section.
- Added dependency information to POM file.

* Tue Mar 27 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 7.0.13-3
- Removed javadoc patch. Fixed javadoc generation.

* Mon Mar 26 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 7.0.13-2
- Removed java/javax from source.
- Added links to dependencies.
- Added javadoc patch.

* Sun Mar 25 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 7.0.13-1
- Update to 7.0.13

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 7.0.9-1
- Initial packaging

